Package org.eclipse.m2m.atl.adt.ui.outline

## Class Root

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.outline.Root

    public class Root
    extends java.lang.Object

### Constructor Summary

Constructors
`Root()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.ecore.EObject` `getUnit()` Returns the wrapped EObject.
`void` `setUnit​(org.eclipse.emf.ecore.EObject unit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Root

    public Root()

### Method Detail

#### getUnit

    public org.eclipse.emf.ecore.EObject getUnit()

Returns the wrapped EObject. That EObject is can be an instance of

- Module
- Unit
- library

Returns:
  the wrapped EObject.

#### setUnit

    public void setUnit​(org.eclipse.emf.ecore.EObject unit)

Parameters:
  `unit` - The module to set.